
<link rel="import" href="../bower_components/polymer/polymer-element.html">
<link rel="import" href="../bower_components/paper-item/paper-item.js">
<link rel="import" href="../bower_components/iron-ajax/iron-ajax.html">
<link rel="import" href="shared-styles.html">
<link rel="import" href="my-icons.html">

<dom-module id="my-movimientos">
  <template>
    <style include="shared-styles">
      :host {
        display: block;
        background-color: #1973B8;
        padding: 20px;
        width: auto;
        height: 278px;
      }
      paper-icon-item {
        color:#DFDFDF;
      }
    </style>

    <div class="iniciales">
      <div class="letras">
      </div>
    </div>
    <div class="iniciales">
        <div class="nameU">Buenos días [[this.loginData.nombre]]</div>
    </div>
    <!-- div principal -->
    <div class="card">
      <table class="tableCard">
        <tr>
          <td class="tdCard">CUENTAS</td>
          <td class="tdTotal">$60,000.00</td>
        </tr>
        <tr>
          <td class="tdCuenta" on-click="doClientes">Cuenta uno</td>
          <td class="tdCuentaTotal">$30,000.00</td>
        </tr>
        <tr>
          <td class="tdNumCuenta">·12345</td>
          <td class="tdSaldo">Saldo disponible</td>
        </tr>
      </table>
      <br><br>
      <table class="tableCard">
        <tr>
          <td class="tdCuenta">Cuenta dos</td>
          <td class="tdCuentaTotal">$30,000.00</td>
        </tr>
        <tr>
          <td class="tdNumCuenta">·12345</td>
          <td class="tdSaldo">Saldo disponible</td>
        </tr>
      </table>
      <br>
      <table class="tableCard">
        <tr>
          <td class="tdTipoCard">D&eacute;bito</td>
          <td class="tdCuentaTotal">$30,000.00</td>
        </tr>
        <tr>
          <td class="tdNumCuenta">
            <paper-item>
              <iron-icon icon="my-icons:check-box-outline-blank" slot="item-icon"></iron-icon>
            </paper-item>
              <img src="../images/tarjeta-debito.png ">
          </td>
          <td class="tdSaldo">Saldo disponible</td>
        </tr>
        <tr>
          <td class="tdNumCuenta">12345</td>
        </tr>
      </table>
    </div>

    <div class="card">
      <table class="tableCard">
        <tr>
          <td class="tdCard">TARJETAS</td>
        </tr>
        <tr>
          <td class="tdCuenta">Cr&eacute;dito</td>
        </tr>
        <tr>
          <td>
            <img src="../images/tarjeta-credito.png ">
          </td>
          <td class="tdCuentaTotal">$100,000.00</td>
        </tr>
      </table>
      <br>
    </div>
    <iron-ajax id="doIdentificadorCliente" url="http://localhost:3000/v5/Identificador/C" content-type="application/json" crossDomain:true
      dataType:'jsonp' method="Get" handle-as="json" headers="Access-Control-Allow-Headers: *"
      on-response="manageAJAXResponse" on-error="showError">
      <iron-ajax id="doIdentificadorUsuario" url="http://localhost:3000/v5/Identificador/U" content-type="application/json" crossDomain:true
        dataType:'jsonp' method="Get" handle-as="json" headers="Access-Control-Allow-Headers: *"
        on-response="manageAJAXResponse" on-error="showError">
        <iron-ajax id="doIdentificadorMovimiento" url="http://localhost:3000/v5/Identificador/M" content-type="application/json" crossDomain:true
          dataType:'jsonp' method="Get" handle-as="json" headers="Access-Control-Allow-Headers: *"
          on-response="manageAJAXResponse" on-error="showError">

  </template>
  <script>
    class MyMovimientos extends Polymer.Element {
      static get is() { return 'my-movimientos'; }

      doClientes() {
        var identificadorClienteData = {
          "idcliente": this.id
        }

        var identificadorUsuarioData = {
          "idcliente": this.id
        }
        var doIdentificadorMovimientoData = {
          "idcliente": this.id
        }

        if( identificadorClienteData || identificadorUsuarioData || doIdentificadorMovimientoData ){
          this.$.doIdentificadorCliente.generateRequest();
          this.$.doIdentificadorUsuario.generateRequest();
          this.$.doIdentificadorMovimiento.generateRequest();
          console.log("Solicitud enviada doCliente");
        }
      }
      responseMlab(data) {
        console.log(data.detail.response);
      }


      _ajaxResponse(){
        console.log("pasa algo");
      }
    }

    window.customElements.define(MyMovimientos.is, MyMovimientos);
  </script>
</dom-module>
